# -*- encoding: utf-8 -*-
# stub: overture 0.2.1 ruby lib

Gem::Specification.new do |s|
  s.name = "overture".freeze
  s.version = "0.2.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Edgar JS".freeze]
  s.date = "2019-06-13"
  s.description = "Compilation of tools and configurations that will help you\nget started with your back-end setup.\n\nThis gem contains the basic configuration options and file\norganization to create an HTTP layer and also a layer for\nthe business rules (a.k.a. interactors).\n\nSinatra is used as a HTTP layer, but it can be easily\nreplaced. [Interactor](https://rubygems.org/gems/interactor)\nis used for the business rules.\n".freeze
  s.email = "edgar.js@gmail.com".freeze
  s.executables = ["overture".freeze]
  s.files = ["bin/overture".freeze]
  s.homepage = "https://github.com/edgarjs/overture".freeze
  s.licenses = ["MIT".freeze]
  s.rubygems_version = "3.2.22".freeze
  s.summary = "Tools and configurations for your web app.".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<bcrypt>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<dotenv>.freeze, ["~> 2.0"])
    s.add_runtime_dependency(%q<fast_jsonapi>.freeze, ["~> 1.5"])
    s.add_runtime_dependency(%q<interactor>.freeze, ["~> 3.0"])
    s.add_runtime_dependency(%q<rack-parser>.freeze, ["~> 0.7"])
    s.add_runtime_dependency(%q<sequel_pg>.freeze, ["~> 1.0"])
    s.add_runtime_dependency(%q<sinatra>.freeze, ["~> 2.0"])
    s.add_runtime_dependency(%q<tzinfo>.freeze, [">= 0"])
    s.add_development_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_development_dependency(%q<minitest-reporters>.freeze, ["~> 1.0"])
    s.add_development_dependency(%q<rake>.freeze, ["~> 12.0"])
  else
    s.add_dependency(%q<bcrypt>.freeze, ["~> 3.0"])
    s.add_dependency(%q<dotenv>.freeze, ["~> 2.0"])
    s.add_dependency(%q<fast_jsonapi>.freeze, ["~> 1.5"])
    s.add_dependency(%q<interactor>.freeze, ["~> 3.0"])
    s.add_dependency(%q<rack-parser>.freeze, ["~> 0.7"])
    s.add_dependency(%q<sequel_pg>.freeze, ["~> 1.0"])
    s.add_dependency(%q<sinatra>.freeze, ["~> 2.0"])
    s.add_dependency(%q<tzinfo>.freeze, [">= 0"])
    s.add_dependency(%q<minitest>.freeze, ["~> 5.0"])
    s.add_dependency(%q<minitest-reporters>.freeze, ["~> 1.0"])
    s.add_dependency(%q<rake>.freeze, ["~> 12.0"])
  end
end
